#ifndef _LINEBUFFER_HPP_
#define _LINEBUFFER_HPP_

#include "externs.hpp"

class Linebuffer
{
public:

    Linebuffer();
    ~Linebuffer();

    void start();
    void addVertex(Vector &vertex);
    void finalize();

    const int getVertexCount() { return this->vertexcount; };
    const Vector *getVertexBuffer() { return this->vertices; };

private:
    Lista2 *list;
    Vector *vertices;
    int vertexcount;


};

#endif